/**
* DevExtreme (data_helper.d.ts)
* Version: 19.2.6 (build 20071-0309)
* Build date: Wed Mar 11 2020
*
* Copyright (c) 2012 - 2020 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
import DataSource from './data/data_source';

/** Warning! This type is used for internal purposes. Do not import it directly. */

export default class DataHelperMixin {
    /**
     * @docid DataHelperMixinMethods.getDataSource
     * @publicName getDataSource()
     * @return DataSource
     * @prevFileNamespace DevExpress
     * @public
     */
    getDataSource(): DataSource;
}
